Nordmind\Security\Application\User\Account:
  type: entity
  table: eherina_user_account
  id:
    uuid:
      type: string
      length: 128
      unique: true
      id: true
  fields:
    wpId:
      type: integer
      nullable: true
    username:
      type: string
    email:
      type: string
    password:
      type: string
      nullable: true
    isBlocked:
      type: boolean
      nullable: false
      options:
        default: true
    isAdmin:
      type: boolean
      nullable: false
      options:
        default: false
    passwordResetToken:
      type: string
      nullable: true
    passwordResetTokenExpiresAt:
      type: datetime
      nullable: true
    confirmationToken:
      type: string
      nullable: true
    confirmationTokenExpiresAt:
      type: datetime
      nullable: true
    registeredAt:
      type: datetime
      nullable: false
      options:
        default: CURRENT_TIMESTAMP
